Subject: Re: [PATCH v2 0/6] PATH WALK I: The path-walk API

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Nov 2024 16:39:17 +0900

Patrick Steinhardt <[email-masked]> writes:

> The question of course is whether these tools require the path-walk API,
> or whether they could be built on top of existing functionality. But if
> there are good reasons why the existing functionality is insufficient
> then I'd be all for having the path-walk API, even if it doesn't help us
> with repo size reductions as we initially thought.

Is the implied statement that we didn't quite see sufficient rationale
to convince ourselves that a new path-walk machinery is needed?

Thanks.